#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        b.push_back(stoll(s));
    }
    return b;
}

void solve(int p, int n) {
    cin >> p >> n;

    cout << n/7 << endl;
    cout << (p-1+n-1)%7+1 << endl;

    int ans = n/7*2;
    if (p <= 3 && 3 <= p+n%7-1) ans++;
    if (p <= 10 && 10 <= p+n%7-1) ans++;
    if (p <= 6 && 6 <= p+n%7-1) ans++;
    if (p <= 13 && 13 <= p+n%7-1) ans++;
    cout << ans << endl;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    vector<long long> line = longlongTokens(' ');
    assert(line.size() == 2);
    assertEOF();

    int p = line[0];
    int n = line[1];
    assert(1 <= p && p <= 7);
    assert(1 <= n && n < 2e9);

    solve(p, n);

    return 0;
}
